# gitbook-nodejs-cli 
================================

基于nodejs的内部gitbook文档发布插件.


## 安装

	$ npm install gitbook-nodejs-cli -g

因为安装后是命令行命令，所以在安装时候需要管理员权限，windows请管理员运行，linux可以使用sudo

	$ sudo npm install gitbook-nodejs-cli -g

## 使用

	$ gitbook_publish <path>

- 发布的文档需要包含package.json文件，作为发布参数配置。此文件需要包含以下几个节点（对于nodejs项目基本都已经拥有部分节点）：


	{
		"name": "ulynlist",
		"version": "5.0.5",
		"gitbookserver": "http://192.168.0.62:7878/gitbook",
		"cnName": "列表组件",
		"description": "ulynlist是一款适合快速开发的列表展示组件，其核心设计目标是开发迅速、代码量少、学习简单，使用方便、可分离、易扩展。",
		"doc":"./doc"
	}

- path为项目路径，也就是package.json文件的目录 
- 默认情况下使用path下的doc作为文档目录，如果目录有变动，可以在package.json的doc节点进行配置。支持相对路径写法。
  
## 示例

	Microsoft Windows [版本 6.1.7601]
	版权所有 (c) 2009 Microsoft Corporation。保留所有权利。
	
	C:\Users\ulyn>gitbook_publish F:\workplace\sunsharing\component\ulynlist\ulynlis
	
	文档文件夹的路径不存在[ F:\workplace\sunsharing\component\ulynlist\ulynlis ]
	
	C:\Users\ulyn>gitbook_publish F:\workplace\sunsharing\component\ulynlist\ulynlis
	t4j
	准备发布文档的项目文件夹：F:\workplace\sunsharing\component\ulynlist\ulynlist4j
	读取组件配置文件路径 F:\workplace\sunsharing\component\ulynlist\ulynlist4j\packa
	ge.json
	组件名：ulynlist
	中文名：列表组件
	版本号：5.0.5
	服务器：http://192.168.0.62:7878/gitbook
	描述：ulynlist是一款适合快速开发的列表展示组件，其核心设计目标是开发迅速、代码量
	少、学习简单，使用方便、可分离、易扩展。
	doc路径：F:\workplace\sunsharing\component\ulynlist\ulynlist4j\doc
	读取组件文档文件路径 F:\workplace\sunsharing\component\ulynlist\ulynlist4j\doc
	待上传文件个数：12
	准备上传文件:F:/workplace/sunsharing/component/ulynlist/ulynlist4j/doc/image/3.p
	ng
	准备上传文件:F:/workplace/sunsharing/component/ulynlist/ulynlist4j/doc/image/1.p
	ng
	准备上传文件:F:/workplace/sunsharing/component/ulynlist/ulynlist4j/doc/image/2.j
	pg
	准备上传文件:F:/workplace/sunsharing/component/ulynlist/ulynlist4j/doc/advanced.
	md
	准备上传文件:F:/workplace/sunsharing/component/ulynlist/ulynlist4j/doc/SUMMARY.m
	d
	准备上传文件:F:/workplace/sunsharing/component/ulynlist/ulynlist4j/doc/update-lo
	g.md
	准备上传文件:F:/workplace/sunsharing/component/ulynlist/ulynlist4j/doc/README.md
	
	准备上传文件:F:/workplace/sunsharing/component/ulynlist/ulynlist4j/doc/how-to-us
	e.md
	准备上传文件:F:/workplace/sunsharing/component/ulynlist/ulynlist4j/doc/how-to-us
	e-java.md
	准备上传文件:F:/workplace/sunsharing/component/ulynlist/ulynlist4j/doc/how-to-us
	e-html.md
	准备上传文件:F:/workplace/sunsharing/component/ulynlist/ulynlist4j/doc/getting-s
	tart.md
	准备上传文件:F:/workplace/sunsharing/component/ulynlist/ulynlist4j/doc/download.
	md
	成功上传文件个数：12 耗时：269毫秒
	
	开始生成gitbook...
	
	[0;36minfo: loading book configuration....OK
	info: load plugin gitbook-plugin-prism ....OK
	info: >> 1 plugins loaded
	info: start generation with website generator
	info: clean website generator
	info: OK
	info: generation is finished
	
	Done, without error
	
	恭喜，生成gitbook成功！(*^__^*)
	项目文档URL:http://192.168.0.62:7878/gitbook/document/ulynlist/5.0.5/_book/index
	.html
	
	C:\Users\ulyn>