var _ = require("lodash");
var path = require("path");
var fs = require("fs");
var color = require('bash-color');

//文档文件夹
function Doc(dir){
    this.dir = dir;
}

Doc.prototype.getConfig = function(){
    if(this.config){
        return this.config;
    }
    var pkg = path.resolve(this.dir,'./package.json');
    console.log("读取组件配置文件路径 %s",pkg);
    if(fs.existsSync(pkg)){
        var config = require(pkg);
        this.config = config;
        return config;
    }else{
        console.error(color.red("组件配置文件不存在，请检查重试"));
        return;
    }
};
Doc.prototype.getDocDir = function(){
    var config = this.getConfig();
    var docDir = path.resolve(this.dir,config.doc ? config.doc : "./doc");
    return docDir;
}
Doc.prototype.readAllSyn = function(handle){
    var docDir = this.getDocDir();
    console.log("读取组件文档文件路径 %s",docDir);
    reverseDir(docDir, [".svn",".git","node_modules"],function(err,result){
        if(err){
            console.error(color.red("遍历doc文件夹失败"))
        }else{
            handle(result);
        }
    });
}
function reverseDir(dir, excludes, back) {
    var result = [];
    fs.readdir(dir, function(err, files){
        if (err) back(err);
        files = files.filter(function(value){
            return (value[0] != '.') && !_.includes(excludes,value);
        });
        var pending = files.length;
        if (!pending) return back(null, result);
        files.forEach(function(file){
            fs.stat(dir + '/' + file, function(err, stats) {
                if (stats.isFile()) {
                    var filename = dir + '/' + file;
                  //  console.log("filename:"+filename+"/r");
                    result.push(filename);
                    if (!--pending) back(null, result);
                }
                if (stats.isDirectory()) {
                    reverseDir(dir + '/' + file,excludes, function(err, res){
                        result = result.concat(res);
                        if (!--pending) back(null, result);
                    })
                }
            });
        });
    });
}

module.exports = Doc;